Bug 523799 - Review Request: ascii - Interactive ascii name and synonym chart
Summary: Review Request: ascii - Interactive ascii name and synonym chart
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 17:29 UTC by Jochen Schmitt
Modified: 2010-05-11 19:39 UTC (History)
4 users (show)

Fixed In Version: ascii-3.8-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-10 23:47:11 UTC
martin.gieseking: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jochen Schmitt 2009-09-16 17:29:12 UTC
Spec URL: http://www.herr-schmitt.de/pub/ascii/ascii.spec
SRPM URL: http://www.herr-schmitt.de/pub/ascii/ascii-3.8-1.fc11.src.rpm
Description:
The ascii utility provides easy conversion between various byte representations
and the American Standard Code for Information Interchange (ASCII) character
table.  It knows about a wide variety of hex, binary, octal, Teletype mnemonic,
ISO/ECMA code point, slang names, XML entity names, and other representations.
Given any one on the command line, it will try to display all others.  Called
with no arguments it displays a handy small ASCII chart.

Comment 1 Martin Gieseking 2009-10-01 20:07:59 UTC
Here's my review of this small package. It's pretty clean and I couldn't find any major issues to fix. However, I'm not sure if ascii is a valid package name. As far as I understand the naming rules and comments from other reviews,
generic terms should not be used as package names. What do you think? 


- You can simplify the make statement to
  make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}"


$ rpmlint /var/lib/mock/fedora-11-x86_64/result/ascii-*
ascii.src: W: name-repeated-in-summary ascii
ascii.x86_64: W: name-repeated-in-summary ascii
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

If ascii is a proper package name, these warnings can be ignored.


---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[X] MUST: The package must be named according to the Package Naming Guidelines.
    - I'm not sure if ascii is a valid package name because generic terms
      should be avoided

[+] MUST: The spec file name must match the base package %{name}.

[+] MUST: The package must meet the Packaging Guidelines.

[+] MUST: The package must be licensed with a Fedora approved license.
    - source file header refers to file COPYING that contains the GPLv2 license text

[+] MUST: The License field in the package spec file must match the actual license.

[+] MUST: file that contains the text of the license(s) for the package must be included in %doc.
    - COPYING added to %doc

[+] MUST: The spec file must be written in American English.

[+] MUST: The spec file for the package MUST be legible.

[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
    $ sha1sum ascii-3.8.tar.gz*
    c7a513cd52c0fec64491566b5db18fa070639ca4  ascii-3.8.tar.gz
    c7a513cd52c0fec64491566b5db18fa070639ca4  ascii-3.8.tar.gz.1


[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    koji scratch build:    
    https://koji.fedoraproject.org/koji/taskinfo?taskID=1722862

[.] MUST: If the package does not successfully compile, ...

[+] MUST: All build dependencies must be listed in BuildRequires.
    - no explicit BRs necessary

[.] MUST: The spec file MUST handle locales properly.
    - no locales

[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
    - no shared libs

[.] MUST: If the package is designed to be relocatable, ...
    - not relocatable

[+] MUST: A package must own all directories that it creates. 

[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.

[+] MUST: Permissions on files must be set properly.

[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

[+] MUST: Each package must consistently use macros.

[+] MUST: The package must contain code, or permissable content.

[.] MUST: Large documentation files must go in a -doc subpackage.
    - no large docs

[+] MUST: Files in %doc must not affect the runtime of the application.

[.] MUST: Header files must be in a -devel package.
    - no header files

[.] MUST: Static libraries must be in a -static package.
    - no static libs

[.] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
    - no .pc files

[.] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
    - no shared libs

[.] MUST: devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
    - no devel package

[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
    - no .la files

[.] MUST: Packages containing GUI applications must include a %{name}.desktop file.
    - no GUI

[+] MUST: Packages must not own files or directories already owned by other packages.

[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

[+] MUST: All filenames in rpm packages must be valid UTF-8.


[+] SHOULD: The reviewer should test that the package builds in mock.
    - builds in mock

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
    - builds in koji

[+] SHOULD: The reviewer should test that the package functions as described. 

[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
    - no scriptlets

[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
    - no subpackages

[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
    - no .pc files

Comment 2 Jochen Schmitt 2009-10-19 15:24:04 UTC
(In reply to comment #1)

> [X] MUST: The package must be named according to the Package Naming Guidelines.
>     - I'm not sure if ascii is a valid package name because generic terms
>       should be avoided

This name was choosen by upstream, so I think it's ok. If you not agree with me, please open a dispute on FESCo.

Best Regards:

Jochen Schmitt

Comment 3 Martin Gieseking 2010-03-31 11:40:29 UTC
Sorry Jochen, I forgot about this review. According to the replies I got on Fedora-packaging, ascii is a proper name, and from my point of view there's no reason to hold this package back.

------------------------
The package is APPROVED.
------------------------

Comment 4 Rahul Sundaram 2010-04-25 21:00:28 UTC
Ping.  Appreciate if you can apply for cvs and get the package into the repo rather than letting it stall after being approved.

Comment 5 Jochen Schmitt 2010-04-29 17:35:28 UTC
New Package CVS Request
=======================
Package Name: ascii
Short Description: Interactive ascii name and synonym chart
Owners: s4504kr
Branches: F-13, F-12
InitialCC:

Comment 6 Kevin Fenzi 2010-04-30 17:41:31 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-05-01 14:57:06 UTC
ascii-3.8-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ascii-3.8-1.fc13

Comment 8 Fedora Update System 2010-05-01 14:59:07 UTC
ascii-3.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ascii-3.8-1.fc12

Comment 9 Fedora Update System 2010-05-04 06:04:36 UTC
ascii-3.8-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ascii'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ascii-3.8-1.fc12

Comment 10 Fedora Update System 2010-05-04 06:23:24 UTC
ascii-3.8-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ascii'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ascii-3.8-1.fc13

Comment 11 Fedora Update System 2010-05-10 23:47:04 UTC
ascii-3.8-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-05-11 19:39:53 UTC
ascii-3.8-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.